Update a notebook
patch
/v2/projects/{ref}/notebooks/{id}Updates the attributes provided and leaves the rest untouched. Sending content replaces the whole notebook body.
OAuth scopes
- database:write
The fine-grained token must include the following permissions to access this endpoint:
- project_notebooks_write
Path parameters
- refRequiredstring
Project ref
- idRequiredstring
Body
- dataRequiredobject
Response codes
- 200
- 400
- 401
- 403
- 404
- 429
- 500
Response (200)
{ "data": { "type": "notebook", "id": "lorem", "attributes": { "name": "lorem", "description": "lorem", "favorite": true, "inserted_at": "lorem", "updated_at": "lorem", "owner": { "id": 42, "username": "lorem" }, "updated_by": { "id": 42, "username": "lorem" }, "content": { "schema_version": 42, "cells": [ { "id": "lorem", "type": "markdown", "text": "lorem" } ] } } }}